Bug Hunting Session
Bug 92386 - Writer crashes in print preview if the document is in two windows
Summary: Writer crashes in print preview if the document is in two windows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: Other All
: medium major
Assignee: Julien Nabet
URL:
Whiteboard: target:5.1.0 target:5.0.0.3 target:4...
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2015-06-27 16:56 UTC by krajcsi
Modified: 2016-10-25 19:17 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (13.19 KB, text/plain)
2015-06-27 17:09 UTC, Gordo
Details
bt with debug symbols (7.23 KB, text/plain)
2015-06-28 09:37 UTC, Julien Nabet
Details
bt 2 with debug symbols (7.13 KB, text/plain)
2015-06-28 10:42 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description krajcsi 2015-06-27 16:56:58 UTC
- Create a new document
- Window > New window
- File > Print preview
LO crashes

Linux Mint 17.1
Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8
Locale: en_US.UTF-8
Comment 1 Gordo 2015-06-27 17:09:47 UTC
Created attachment 116876 [details]
backtrace

Reproduced.

Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8

4.4.3.2

Version: 5.1.0.0.alpha1+
Build ID: 89b5967658392d27fb3147e85abb2b5c1c34b101
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-24_04:10:17

Does not crash in 4.3.7.2.
Comment 2 Julien Nabet 2015-06-28 09:37:50 UTC
Created attachment 116883 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2015-06-28 10:42:19 UTC
Created attachment 116888 [details]
bt 2 with debug symbols

Once the first is fixed (or perhaps only workarounded), here's bt from another crash.
Comment 4 Julien Nabet 2015-06-28 10:50:30 UTC
Just for your information, I submitted a patch here to review:
https://gerrit.libreoffice.org/#/c/16557/
I don't know if this is the right fix but at least, I don't reproduce the crash with it.
Comment 5 A (Andy) 2015-06-28 14:49:07 UTC
I also had the same experience with LO 4.4.3.2, Win 8.1 today (nice to see that there will be soon already a patch)
Comment 6 Commit Notification 2015-06-30 11:27:56 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb813b392d1f59ad8927b87e899d8a33d1db2504

tdf#92386: Writer crashes in print preview if document in 2 windows

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-06-30 11:29:36 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41c328a982bce85b83f2644b49412db4be64ce29&h=libreoffice-5-0

tdf#92386: Writer crashes in print preview if document in 2 windows

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-07-02 15:51:33 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de43a2fd64085c6887c66fede95ee9cdf0e431d4&h=libreoffice-4-4

tdf#92386: Writer crashes in print preview if document in 2 windows

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Rodrigo Castanheira 2016-01-04 23:45:02 UTC
In version 4.4.7.2 (Windows), it still crashes when document is in read-only mode.

Steps to reproduce:

1. Open any document.

2. Open another view of the same document (Window -> New window).

3. Change document to read-only mode (Ctrl+Shift+M).

4. Select File -> Print Preview.

5. Close Print Preview.

6. Writer crashes.

Version 5.0.4.2 works as expected and does not crash.

However, even when document is opened in only one window, Writer exhibits inconsistent behaviour. In edit mode, both versions (4.4.7.2 and 5.0.4.2) show print preview in a ":2" window; when preview is closed, document shows up in a ":3" window, not the original one. In read-only mode, version 5.0.4.2 always goes back to the original window when preview is closed.